Skip to content
Start here

Configurations

Get Zero Trust account configuration
client.zeroTrust.gateway.configurations.get(ConfigurationGetParams { account_id } params, RequestOptionsoptions?): ConfigurationGetResponse { created_at, settings, updated_at }
GET/accounts/{account_id}/gateway/configuration
Update Zero Trust account configuration
client.zeroTrust.gateway.configurations.update(ConfigurationUpdateParams { account_id, settings } params, RequestOptionsoptions?): ConfigurationUpdateResponse { created_at, settings, updated_at }
PUT/accounts/{account_id}/gateway/configuration
Patch Zero Trust account configuration
client.zeroTrust.gateway.configurations.edit(ConfigurationEditParams { account_id, settings } params, RequestOptionsoptions?): ConfigurationEditResponse { created_at, settings, updated_at }
PATCH/accounts/{account_id}/gateway/configuration
ModelsExpand Collapse
ActivityLogSettings { enabled }

Specify activity log settings.

enabled?: boolean | null

Specify whether to log activity.

AntiVirusSettings { enabled_download_phase, enabled_upload_phase, fail_closed, notification_settings }

Specify anti-virus settings.

enabled_download_phase?: boolean | null

Specify whether to enable anti-virus scanning on downloads.

enabled_upload_phase?: boolean | null

Specify whether to enable anti-virus scanning on uploads.

fail_closed?: boolean | null

Specify whether to block requests for unscannable files.

notification_settings?: NotificationSettings { enabled, include_context, msg, support_url } | null

Configure the message the user’s device shows during an antivirus scan.

BlockPageSettings { background_color, enabled, footer_text, 12 more }

Specify block page layout settings.

background_color?: string

Specify the block page background color in #rrggbb format when the mode is customized_block_page.

enabled?: boolean | null

Specify whether to enable the custom block page.

header_text?: string

Specify the block page header text when the mode is customized_block_page.

include_context?: boolean

Specify whether to append context to target_uri as query parameters. This applies only when the mode is redirect_uri.

logo_path?: string

Specify the full URL to the logo file when the mode is customized_block_page.

mailto_address?: string

Specify the admin email for users to contact when the mode is customized_block_page.

mailto_subject?: string

Specify the subject line for emails created from the block page when the mode is customized_block_page.

mode?: "" | "customized_block_page" | "redirect_uri"

Specify whether to redirect users to a Cloudflare-hosted block page or a customer-provided URI.

One of the following:
""
"customized_block_page"
"redirect_uri"
name?: string

Specify the block page title when the mode is customized_block_page.

read_only?: boolean | null

Indicate that this setting was shared via the Orgs API and read only for the current account.

source_account?: string | null

Indicate the account tag of the account that shared this setting.

target_uri?: string

Specify the URI to redirect users to when the mode is redirect_uri.

formaturi
version?: number | null

Indicate the version number of the setting.

BodyScanningSettings { inspection_mode }

Specify the DLP inspection mode.

inspection_mode?: "deep" | "shallow"

Specify the inspection mode as either deep or shallow.

One of the following:
"deep"
"shallow"
BrowserIsolationSettings { non_identity_enabled, url_browser_isolation_enabled }

Specify Clientless Browser Isolation settings.

non_identity_enabled?: boolean

Specify whether to enable non-identity onramp support for Browser Isolation.

url_browser_isolation_enabled?: boolean

Specify whether to enable Clientless Browser Isolation.

CustomCertificateSettings { enabled, id, binding_status, updated_at }

Specify custom certificate settings for BYO-PKI. This field is deprecated; use certificate instead.

enabled: boolean | null

Specify whether to enable a custom certificate authority for signing Gateway traffic.

id?: string

Specify the UUID of the certificate (ID from MTLS certificate store).

binding_status?: string

Indicate the internal certificate status.

updated_at?: string
formatdate-time
ExtendedEmailMatching { enabled, read_only, source_account, version }

Configures user email settings for firewall policies. When you enable this, the system standardizes email addresses in the identity portion of the rule to match extended email variants in firewall policies. When you disable this setting, the system matches email addresses exactly as you provide them. Enable this setting if your email uses . or + modifiers.

enabled?: boolean | null

Specify whether to match all variants of user emails (with + or . modifiers) used as criteria in Firewall policies.

read_only?: boolean

Indicate that this setting was shared via the Orgs API and read only for the current account.

source_account?: string

Indicate the account tag of the account that shared this setting.

version?: number

Indicate the version number of the setting.

FipsSettings { tls }

Specify FIPS settings.

tls?: boolean

Enforce cipher suites and TLS versions compliant with FIPS 140-2.

GatewayConfigurationSettings { activity_log, antivirus, block_page, 11 more }

Specify account settings.

activity_log?: ActivityLogSettings { enabled } | null

Specify activity log settings.

antivirus?: AntiVirusSettings { enabled_download_phase, enabled_upload_phase, fail_closed, notification_settings } | null

Specify anti-virus settings.

block_page?: BlockPageSettings { background_color, enabled, footer_text, 12 more } | null

Specify block page layout settings.

body_scanning?: BodyScanningSettings { inspection_mode } | null

Specify the DLP inspection mode.

browser_isolation?: BrowserIsolationSettings { non_identity_enabled, url_browser_isolation_enabled } | null

Specify Clientless Browser Isolation settings.

certificate?: Certificate | null

Specify certificate settings for Gateway TLS interception. If unset, the Cloudflare Root CA handles interception.

id: string

Specify the UUID of the certificate used for interception. Ensure the certificate is available at the edge(previously called ‘active’). A nil UUID directs Cloudflare to use the Root CA.

Deprecatedcustom_certificate?: CustomCertificateSettings { enabled, id, binding_status, updated_at } | null

Specify custom certificate settings for BYO-PKI. This field is deprecated; use certificate instead.

extended_email_matching?: ExtendedEmailMatching { enabled, read_only, source_account, version } | null

Configures user email settings for firewall policies. When you enable this, the system standardizes email addresses in the identity portion of the rule to match extended email variants in firewall policies. When you disable this setting, the system matches email addresses exactly as you provide them. Enable this setting if your email uses . or + modifiers.

fips?: FipsSettings { tls } | null

Specify FIPS settings.

host_selector?: HostSelector | null

Enable host selection in egress policies.

enabled?: boolean | null

Specify whether to enable filtering via hosts for egress policies.

inspection?: Inspection | null

Define the proxy inspection mode.

mode?: "static" | "dynamic"

Define the proxy inspection mode. 1. static: Gateway applies static inspection to HTTP on TCP(80). With TLS decryption on, Gateway inspects HTTPS traffic on TCP(443) and UDP(443). 2. dynamic: Gateway applies protocol detection to inspect HTTP and HTTPS traffic on any port. TLS decryption must remain on to inspect HTTPS traffic.

One of the following:
"static"
"dynamic"
protocol_detection?: ProtocolDetection { enabled } | null

Specify whether to detect protocols from the initial bytes of client traffic.

sandbox?: Sandbox | null

Specify whether to enable the sandbox.

enabled?: boolean | null

Specify whether to enable the sandbox.

fallback_action?: "allow" | "block"

Specify the action to take when the system cannot scan the file.

One of the following:
"allow"
"block"
tls_decrypt?: TLSSettings { enabled } | null

Specify whether to inspect encrypted HTTP traffic.

NotificationSettings { enabled, include_context, msg, support_url }

Configure the message the user’s device shows during an antivirus scan.

enabled?: boolean

Specify whether to enable notifications.

include_context?: boolean

Specify whether to include context information as query parameters.

msg?: string

Specify the message to show in the notification.

support_url?: string

Specify a URL that directs users to more information. If unset, the notification opens a block page.

ProtocolDetection { enabled }

Specify whether to detect protocols from the initial bytes of client traffic.

enabled?: boolean | null

Specify whether to detect protocols from the initial bytes of client traffic.

TLSSettings { enabled }

Specify whether to inspect encrypted HTTP traffic.

enabled?: boolean

Specify whether to inspect encrypted HTTP traffic.

ConfigurationGetResponse { created_at, settings, updated_at }

Specify account settings.

created_at?: string
formatdate-time
settings?: GatewayConfigurationSettings { activity_log, antivirus, block_page, 11 more }

Specify account settings.

updated_at?: string
formatdate-time
ConfigurationUpdateResponse { created_at, settings, updated_at }

Specify account settings.

created_at?: string
formatdate-time
settings?: GatewayConfigurationSettings { activity_log, antivirus, block_page, 11 more }

Specify account settings.

updated_at?: string
formatdate-time
ConfigurationEditResponse { created_at, settings, updated_at }

Specify account settings.

created_at?: string
formatdate-time
settings?: GatewayConfigurationSettings { activity_log, antivirus, block_page, 11 more }

Specify account settings.

updated_at?: string
formatdate-time

ConfigurationsCustom Certificate

Get Zero Trust certificate configuration
Deprecated
client.zeroTrust.gateway.configurations.customCertificate.get(CustomCertificateGetParams { account_id } params, RequestOptionsoptions?): CustomCertificateSettings { enabled, id, binding_status, updated_at } | null
GET/accounts/{account_id}/gateway/configuration/custom_certificate